package git

import gitea_git "code.gitea.io/gitea/modules/git"

func GetDiffFileOnlyName(repo *gitea_git.Repository, base, head string) (string, error) {
	stdout, _, err := gitea_git.NewCommand(repo.Ctx, "diff", "--name-only", gitea_git.CmdArg(base), gitea_git.CmdArg(head)).RunStdString(&gitea_git.RunOpts{Dir: repo.Path})
	return stdout, err
}
